Subject: Re: bug#74091: 31.0.50; string-pixel-width in mode line disables region

From: Eshel Yaron <[email-masked]>
Date: Mon, 11 Nov 2024 07:52:32 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Eshel Yaron <[email-masked]>
>> Cc: Stefan Monnier <[email-masked]>,  [email-masked]
>> Date: Sun, 10 Nov 2024 21:19:58 +0100
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> >> From: Stefan Monnier <[email-masked]>
>> >> Cc: [email-masked],  [email-masked]
>> >> Date: Sun, 10 Nov 2024 11:46:47 -0500
>> >> 
>> >> > Sorry, here's the correct patch:
>> >> 
>> >> Oh, right, I had !(...||...)
>> >> Thanks, LGTM!
>> >
>> > Thanks, installed on the emacs-30 branch.
>> 
>> Thank you both for getting to the bottom of this issue.  Note that once
>> this fix lands on master, we should be able to revert 57fe24961fd.
>> Works well for me so far.
>
> I see no need to revert that commit, it doesn't cause any problems
> AFAICT.

The potential problem is misleading or confusing folks reading this code
in the future, since it implies (quite explicitly with the comments)
that there's a need to bind deactivate-mark, where in fact there isn't.
But OK, it's a small concern, so if you find it harmless I won't insist.

Eshel